# Method: accounts.services.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/list#body.ListAccountServicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/list#try-it)

List account services for the specified accounts. Supports filtering.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/services`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent account of the account service to filter by. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` Optional. The token returned by the previous `list` request. |
| `pageSize` | `integer` Optional. The maximum number of elements to return in the response. Use for paging. If no `pageSize` is specified, `100` is used as the default value. The maximum allowed value is `1000`. |

### Request body

The request body must be empty.

### Response body

Response after trying to list account services.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accountServices": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services#AccountService`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accountServices[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services#AccountService`)`` The account services that match your filter. |
| `nextPageToken` | `string` A page token. You can send the `pageToken` to get the next page. Only included in the `list` response if there are more pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).